=== debian/changelog ===
fotoxx (20.08-2) unstable; urgency=medium

  * debian/control:
    - Add dcraw to Depends. (closes: #955727)
      Thanks to Alberto Luaces for the bug report and patch.

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 04 Apr 2020 13:54:45 -0300

fotoxx (20.08-1) unstable; urgency=medium

  * New upstream version 20.08
  * debian/copyright:
    - Update Copyright Years and contact email
    - Add https to Upstream contact webpage
    - Add license CC0 to appdata/fotoxx.metadata.xml
  * debian/patches:
    - Removes patch 0001-Add-primary-category-to-desktop-file.patch.
      (Applied by upstream)
    - Adds patches for switching off 'phone home' by default.
      Removes old 0002-Do-not-phone-home.patch.
    - Adds 0002-manage-has-bad-whatis-entry.patch
      Fix manpage line breaks and 'what is' section.
    - Adds/Edit Patches headers.
    - Updates series file.
  * debian/control:
    - Bumps Standars Version to 4.5.0.
    - Adds Rules-Requires-Root: no.
    - Updates package Description.
    - Updates suggests packages.
    - Adds https to Homepage field.
  * debian/rules:
    - Removes override_dh_link and override_dh_fixperms-arch.
      Not needed anymore.
    - Removes extra license file.

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 24 Feb 2020 12:45:54 -0300
