## fotoxx 20.10

=== debian/changelog ===
fotoxx (20.10-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 06 Mar 2020 12:28:45 -0800

fotoxx (20.04-1~mx19+2) mx; urgency=medium

  * Added dcraw, etc to the depends list.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 20 Jan 2020 04:14:04 -0800

fotoxx (20.04-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 19 Jan 2020 17:25:13 -0800
