## fotoxx 20.11

=== debian/changelog ===
fotoxx (20.11-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 02 Apr 2020 08:01:43 -0700
