## fotoxx 20.12

=== Makefile ===
--- 
+++ 
@@ -9,14 +9,14 @@
       CXXFLAGS += -Wall -g -O0 -fsanitize=address
       LDFLAGS += -fsanitize=address
    else
-      CXXFLAGS += -Wall -g -O2
+      CXXFLAGS += -Wall -g -O2 -Wno-strict-overflow                  ## 20.12
    endif
 else
    ifdef DEBUG
-      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address -Wno-format-truncation
+      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address
       LDFLAGS += -fsanitize=address
    else
-      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation
+      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-strict-overflow        ## 20.12
    endif
 endif
 
@@ -51,7 +51,7 @@
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
 ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o   \
-           f.edit.o f.enhance.o f.effects.o f.warp.o f.combine.o f.mashup.o          \
+           f.edit.o f.enhance.o f.effects.o f.warp.o f.combine.o f.mashup.o         \
            f.tools.o f.process.o f.pixmap.o zfuncs.o
 
 fotoxx: $(ALLFILES)
@@ -106,8 +106,8 @@
 	$(CXX) f.pixmap.cc $(CFLAGS) \
 
 zfuncs.o: zfuncs.cc  zfuncs.h
-	$(CXX) zfuncs.cc $(CFLAGS)                   \
-	### -D DOCDIR=\"$(DOCDIR)\"      SUSE only   \
+	$(CXX) zfuncs.cc $(CFLAGS)                      \
+	### -D DOCDIR=\"$(DOCDIR)\"      ## SUSE only   \
 
 install: fotoxx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)
