=== debian/changelog ===
fotoxx (20.12-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 21 May 2020 11:25:57 -0700
