=== debian/control ===
Source: fotoxx
Section: graphics
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9),
			binutils,
			dcraw,  
			g++, 
			libc6, 
            libchamplain-gtk-0.12-dev,
            libclutter-1.0-dev, 
            libgtk-3-dev,
            liblcms2-dev,
            libraw-dev,
            libtiff-dev,
Standards-Version: 4.1.4
Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
Vcs-Browser: https://salsa.debian.org/debian/fotoxx
Vcs-Git: https://salsa.debian.org/debian/fotoxx.git

Package: fotoxx
Architecture: any
Depends: fotoxx-common (= ${source:Version}), 
         libtiff5-dev, libpng-dev, liblcms2-dev, 
         libimage-exiftool-perl (>= 8.60), dcraw, 
         libclutter-1.0-dev, libchamplain-0.12-dev, 
         libchamplain-gtk-0.12-dev, xdg-utils, 
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ffmpeg, growisofs, hugin, rawtherapee, totem
Description: easy-to-use digital photo editor
 Fotoxx is a program for improving digital photos. It allows you to navigate
 through large image directories using a window of thumbnail images, create HDR
 (high dynamic range) images by combining bright and dark images to improve
 details visible in both bright and dark areas, create panoramas by joining
 overlapped images, adjust brightness and color intensity independently for
 different underlying brightness levels, reduce fog or haze by removing
 "whiteness" and intensifying colors, rotate an image (level a tilted image or
 turn 90 degrees), remove red-eyes from electronic flash photos, sharpen,
 resize, or crop images, reduce noise in low-light photos, change color depth,
 and stretch an image by dragging the mouse.

Package: fotoxx-common
Architecture: all
Depends: ${misc:Depends}
Breaks: fotoxx (<< 14.03.1)
Replaces: fotoxx (<< 14.03.1)
Description: easy-to-use digital photo editor - common files
 Fotoxx is a program for improving digital photos. It allows you to navigate
 through large image directories using a window of thumbnail images, create HDR
 (high dynamic range) images by combining bright and dark images to improve
 details visible in both bright and dark areas, create panoramas by joining
 overlapped images, adjust brightness and color intensity independently for
 different underlying brightness levels, reduce fog or haze by removing
 "whiteness" and intensifying colors, rotate an image (level a tilted image or
 turn 90 degrees), remove red-eyes from electronic flash photos, sharpen,
 resize, or crop images, reduce noise in low-light photos, change color depth,
 and stretch an image by dragging the mouse.
 .
 This package contains architecture independent files such as icons, pixmaps,
 documentation, and translations.
