## fotoxx 20.13

=== debian/changelog ===
fotoxx (20.13-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 30 May 2020 08:22:54 -0700
