## fotoxx 20.16

=== debian/changelog ===
fotoxx (20.16-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 12 Jul 2020 06:23:57 -0700
