=== debian/changelog ===
fotoxx (20.17-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 26 Jul 2020 19:06:40 -0700
