## fotoxx 20.18

=== debian/changelog ===
fotoxx (20.18-1~mx17+2) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Pruned extra depends from control file.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 25 Oct 2020 18:45:31 -0700

fotoxx (20.18-1~mx19+2) mx; urgency=medium

  * Pruned extra depends in control file.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 25 Oct 2020 15:27:16 -0700

fotoxx (20.18-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 20 Sep 2020 15:44:29 -0700
