=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: debhelper (>= 9),
-			binutils,
-			dcraw,  
-			g++, 
-			libc6, 
-            libchamplain-gtk-0.12-dev,
-            libclutter-1.0-dev, 
-            libgtk-3-dev,
-            liblcms2-dev,
-            libraw-dev,
-            libtiff-dev,
+Build-Depends: debhelper (>= 11),
+        binutils, 
+        dcraw,  
+        g++, 
+        libc6, 
+        libchamplain-gtk-0.12-dev,
+        libclutter-1.0-dev, 
+        libgtk-3-dev,
+        liblcms2-dev,
+        libraw-dev,
+        libtiff-dev,
 Standards-Version: 4.1.4
 Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
 Vcs-Browser: https://salsa.debian.org/debian/fotoxx
@@ -22,11 +22,10 @@
 
 Package: fotoxx
 Architecture: any
-Depends: fotoxx-common (= ${source:Version}), 
-         libtiff5-dev, libpng-dev, liblcms2-dev, 
-         libimage-exiftool-perl (>= 8.60), dcraw, 
-         libclutter-1.0-dev, libchamplain-0.12-dev, 
-         libchamplain-gtk-0.12-dev, xdg-utils, 
+Depends: fotoxx-common (= ${source:Version}),
+         dcraw, 
+         libimage-exiftool-perl (>= 8.60),  
+         xdg-utils, 
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: ffmpeg, growisofs, hugin, rawtherapee, totem
