## fotoxx 20.19

=== Makefile ===
--- 
+++ 
@@ -6,17 +6,17 @@
 
 ifeq ($(CXX), clang++)
    ifdef DEBUG
-      CXXFLAGS += -Wall -g -O0 -fsanitize=address -Wno-format-truncation 
+      CXXFLAGS += -Wall -g -O0 -fsanitize=address -Wno-format-truncation -Wno-stringop-truncation
       LDFLAGS += -fsanitize=address
    else
       CXXFLAGS += -Wall -g -O2 -Wno-format-truncation
    endif
 else
    ifdef DEBUG
-      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address -Wno-format-truncation 
+      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address -Wno-format-truncation -Wno-stringop-truncation
       LDFLAGS += -fsanitize=address
    else
-      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation
+      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation
    endif
 endif
