=== debian/changelog ===
fotoxx (20.19-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 29 Oct 2020 18:36:16 -0700
