## fotoxx 21.32

=== debian/changelog ===
fotoxx (21.32-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.
  * Changed fotoxx.install metainfo path

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 09 Jan 2021 09:05:44 -0800
