=== debian/changelog ===
fotoxx (21.33-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 07 Feb 2021 08:18:27 -0800
