## fotoxx 21.34

=== Makefile ===
--- 
+++ 
@@ -104,7 +104,6 @@
 DOCDIR = $(PREFIX)/share/doc/fotoxx
 MANDIR = $(PREFIX)/share/man/man1
 MENUDIR = $(PREFIX)/share/applications
-METAINFODIR = $(PREFIX)/share/metainfo
 SHAREDIR = $(PREFIX)/share/fotoxx
 DATADIR = $(SHAREDIR)/data
 IMAGEDIR = $(SHAREDIR)/images
@@ -118,12 +117,10 @@
 	mkdir -p  $(DESTDIR)$(DATADIR)
 	mkdir -p  $(DESTDIR)$(IMAGEDIR)
 	mkdir -p  $(DESTDIR)$(ICONDIR)
-	mkdir -p  $(DESTDIR)$(METAINFODIR)
 	cp -f     fotoxx $(DESTDIR)$(BINDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
 	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
-	cp -f -R  metainfo/* $(DESTDIR)$(METAINFODIR)
 	# man page  (21.29) 
 	gzip -fk -9 man/fotoxx.man
 	mv -f man/fotoxx.man.gz $(DESTDIR)$(MANDIR)/fotoxx.1.gz
@@ -136,7 +133,6 @@
 	rm -f -R  $(DESTDIR)$(DOCDIR)
 	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.*
 	rm -f  $(DESTDIR)$(MENUDIR)/fotoxx.*
-	rm -f  $(DESTDIR)$(METAINFODIR)/fotoxx.*
 	rm -f -R  $(DESTDIR)$(SHAREDIR)
 
 clean:
