=== debian/changelog ===
fotoxx (21.34-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Removed metainfo install

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 13 Mar 2021 13:29:06 -0800

fotoxx (21.33-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 07 Feb 2021 08:19:19 -0800

fotoxx (21.32-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 09 Jan 2021 09:23:33 -0800
