=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
 
 override_dh_fixperms-arch:
 	dh_fixperms -a
-	chmod 644 $(CURDIR)/debian/fotoxx/usr/share/metainfo/*
 	
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
