## fotoxx 21.40

=== debian/changelog ===
fotoxx (21.40-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 21 Apr 2021 16:42:38 -0700
