## fotoxx 21.41

=== debian/changelog ===
fotoxx (21.41-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Jun 2021 07:04:43 -0700
