## fotoxx 21.42

=== debian/changelog ===
fotoxx (21.42-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 15 Jun 2021 20:00:55 -0700
