## fotoxx 21.44

=== debian/changelog ===
fotoxx (21.44-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 04 Jul 2021 10:07:45 -0700

fotoxx (21.42-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 15 Jun 2021 20:01:27 -0700

fotoxx (21.41-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Jun 2021 07:03:09 -0700

fotoxx (21.40-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 21 Apr 2021 16:49:45 -0700
