## fotoxx 21.50

=== Makefile ===
--- 
+++ 
@@ -37,8 +37,8 @@
          -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
-ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o   \
-           f.edit.o f.repair.o f.enhance.o f.effects.o f.warp.o f.composite.o f.mashup.o          \
+ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o            \
+           f.edit.o f.repair.o f.enhance.o f.effects.o f.warp.o f.composite.o f.mashup.o     \
            f.tools.o f.batch.o f.pixmap.o zfuncs.o
 
 fotoxx: $(ALLFILES)
