=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,13 @@
 
 %:
 	dh $@
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 	
 override_dh_auto_install:
 	dh_auto_install
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/license
 	rm -f $(CURDIR)/debian/tmp/usr/share/fotoxx/data/README
+
+
