## fotoxx 21.52

=== debian/changelog ===
fotoxx (21.52-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 04 Sep 2021 11:58:51 -0700

fotoxx (21.50-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 02 Aug 2021 14:31:57 -0700

fotoxx (21.44-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 04 Jul 2021 10:10:50 -0700
