## fotoxx 21.55

=== debian/changelog ===
fotoxx (21.55-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Oct 2021 13:07:31 -0700

fotoxx (21.52-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 04 Sep 2021 12:00:00 -0700

fotoxx (21.50-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 02 Aug 2021 14:29:05 -0700
