## fotoxx 21.60

=== Makefile ===
--- 
+++ 
@@ -25,13 +25,13 @@
 CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
    `$(PKG_CONFIG) --cflags gtk+-3.0`               \
    -I/usr/include/clutter-1.0/                     \
-   -I/usr/include/cogl/                            \
-   -I/usr/include/json-glib-1.0/                   \
    -I/usr/include/clutter-gtk-1.0/                 \
    -I/usr/include/champlain-gtk-0.12/              \
    -I/usr/include/champlain-0.12/                  \
    -I/usr/include/libchamplain-gtk-0.12/           \
-   -I/usr/include/libchamplain-0.12/
+   -I/usr/include/libchamplain-0.12/               \
+   -I/usr/include/cogl/                            \
+   -I/usr/include/json-glib-1.0/                   \
 
 LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
          -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
