=== debian/changelog ===
fotoxx (21.60-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 18 Oct 2021 18:54:00 -0700

fotoxx (21.55-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Oct 2021 13:09:15 -0700
