## fotoxx 22.1

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
 ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o            \
-           f.edit.o f.repair.o f.enhance.o f.effects.o f.warp.o f.composite.o f.mashup.o     \
+           f.edit.o f.repair.o f.refine.o f.effects.o f.warp.o f.comb.o f.mashup.o     \
            f.tools.o f.batch.o f.pixmap.o zfuncs.o
 
 fotoxx: $(ALLFILES)
@@ -71,8 +71,8 @@
 f.repair.o: f.repair.cc  fotoxx.h
 	$(CXX) f.repair.cc $(CFLAGS) \
 
-f.enhance.o: f.enhance.cc  fotoxx.h
-	$(CXX) f.enhance.cc $(CFLAGS) \
+f.refine.o: f.refine.cc  fotoxx.h
+	$(CXX) f.refine.cc $(CFLAGS) \
 
 f.effects.o: f.effects.cc  fotoxx.h
 	$(CXX) f.effects.cc $(CFLAGS) \
@@ -80,8 +80,8 @@
 f.warp.o: f.warp.cc  fotoxx.h
 	$(CXX) f.warp.cc $(CFLAGS) \
 
-f.composite.o: f.composite.cc  fotoxx.h
-	$(CXX) f.composite.cc $(CFLAGS) \
+f.comb.o: f.comb.cc  fotoxx.h
+	$(CXX) f.comb.cc $(CFLAGS) \
 
 f.mashup.o: f.mashup.cc  fotoxx.h
 	$(CXX) f.mashup.cc $(CFLAGS) \
