=== debian/changelog ===
fotoxx (22.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX21.
  * New default icon sizes.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 08 Jan 2022 13:08:41 -0800
