## fotoxx 22.12

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,13 @@
 #  export CXX=g++          gnu compiler
 #  export CXX=clang++      clang compiler
 #  export DEBUG=x          debug build with address checking
+
+
+#  Try to included fixed champlain-tile.h but none of this works
+#  CXXFLAGS += -D GTimeVal=GDateTime
+#  MAKEDIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
+#  CXXFLAGS += -I $(MAKEDIR)
+
 
 ifeq ($(CXX), clang++)     #  CLANG
    ifdef DEBUG
@@ -13,7 +20,8 @@
    endif
 else                       #  GCC
    ifdef DEBUG
-      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address -Wno-format-truncation -Wno-stringop-truncation
+      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address                      \
+                           -Wno-format-truncation -Wno-stringop-truncation
       LDFLAGS += -fsanitize=address
    else
       CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation
@@ -22,22 +30,14 @@
 
 PKG_CONFIG ?= pkg-config
 
-CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
-   `$(PKG_CONFIG) --cflags gtk+-3.0`               \
-   -I/usr/include/clutter-1.0/                     \
-   -I/usr/include/clutter-gtk-1.0/                 \
-   -I/usr/include/champlain-gtk-0.12/              \
-   -I/usr/include/champlain-0.12/                  \
-   -I/usr/include/libchamplain-gtk-0.12/           \
-   -I/usr/include/libchamplain-0.12/               \
-   -I/usr/include/cogl/                            \
-   -I/usr/include/json-glib-1.0/                   \
+CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                                           \
+         `$(PKG_CONFIG) --cflags gtk+-3.0 --libs champlain-gtk-0.12`          \
 
 LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
          -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
-ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o            \
+ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o      \
            f.edit.o f.repair.o f.refine.o f.effects.o f.warp.o f.comb.o f.mashup.o     \
            f.tools.o f.batch.o f.pixmap.o zfuncs.o
