=== debian/changelog ===
fotoxx (22.12-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 07 Feb 2022 16:33:18 -0800
