## fotoxx 22.14

=== debian/changelog ===
fotoxx (22.14-1mx21+1) mx; urgency=medium

  * Rebuild for MX21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 12 Mar 2022 05:52:57 -0800
