## fotoxx 22.15

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  export DEBUG=x          debug build with address checking
 
 
-#  Try to included fixed champlain-tile.h but none of this works
+#  Try to fix warning from champlain-tile.h but none of this works
 #  CXXFLAGS += -D GTimeVal=GDateTime
 #  MAKEDIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 #  CXXFLAGS += -I $(MAKEDIR)
@@ -31,7 +31,7 @@
 PKG_CONFIG ?= pkg-config
 
 CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                                           \
-         `$(PKG_CONFIG) --cflags gtk+-3.0 --libs champlain-gtk-0.12`          \
+         `$(PKG_CONFIG) --cflags gtk+-3.0 --libs champlain-gtk-0.12`
 
 LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
          -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
