=== debian/changelog ===
fotoxx (22.15-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 02 Apr 2022 05:46:45 -0700
