## fotoxx 22.16

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
          -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
-ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o      \
+ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.select.o f.meta.o    \
            f.edit.o f.repair.o f.refine.o f.effects.o f.warp.o f.comb.o f.mashup.o     \
            f.tools.o f.batch.o f.pixmap.o zfuncs.o
 
@@ -59,8 +59,8 @@
 f.albums.o: f.albums.cc  fotoxx.h
 	$(CXX) f.albums.cc $(CFLAGS) \
 
-f.area.o: f.area.cc  fotoxx.h
-	$(CXX) f.area.cc $(CFLAGS) \
+f.select.o: f.select.cc  fotoxx.h
+	$(CXX) f.select.cc $(CFLAGS) \
 
 f.meta.o: f.meta.cc  fotoxx.h
 	$(CXX) f.meta.cc $(CFLAGS) \
