=== debian/changelog ===
fotoxx (22.16-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 05 May 2022 16:15:46 -0700
