## fotoxx 22.18

=== Makefile ===
--- 
+++ 
@@ -121,7 +121,7 @@
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
 	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
-	# man page  (21.29) 
+	# man page
 	gzip -fk -9 man/fotoxx.man
 	mv -f man/fotoxx.man.gz $(DESTDIR)$(MANDIR)/fotoxx.1.gz
 	# desktop file and icon
