=== debian/changelog ===
fotoxx (22.18-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 06 Jun 2022 18:25:48 -0700
