## fotoxx 22.20

=== debian/changelog ===
fotoxx (22.20-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 01 Jul 2022 07:49:58 -0700
