## fotoxx 22.30

=== debian/changelog ===
fotoxx (22.30-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 07 Aug 2022 16:20:56 -0700
