## fotoxx 22.31

=== debian/changelog ===
fotoxx (22.31-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 04 Sep 2022 06:27:25 -0700
