## fotoxx 22.35

=== debian/changelog ===
fotoxx (22.35-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 10 Oct 2022 19:19:23 -0700
