## fotoxx 22.41

=== Makefile ===
--- 
+++ 
@@ -20,11 +20,11 @@
    endif
 else                       #  GCC
    ifdef DEBUG
-      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address                      \
+      CXXFLAGS += -Wall -g2 -rdynamic -O0 -fsanitize=address                      \
                            -Wno-format-truncation -Wno-stringop-truncation
       LDFLAGS += -fsanitize=address
    else
-      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation
+      CXXFLAGS += -Wall -g2 -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation
    endif
 endif
