## fotoxx 22.50

=== Makefile ===
--- 
+++ 
@@ -108,6 +108,7 @@
 DATADIR = $(SHAREDIR)/data
 IMAGEDIR = $(SHAREDIR)/images
 ICONDIR = $(SHAREDIR)/icons
+METAINFODIR = $(PREFIX)/share/metainfo
                                          
 install: fotoxx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)
@@ -117,10 +118,12 @@
 	mkdir -p  $(DESTDIR)$(DATADIR)
 	mkdir -p  $(DESTDIR)$(IMAGEDIR)
 	mkdir -p  $(DESTDIR)$(ICONDIR)
+	mkdir -p  $(DESTDIR)$(METAINFODIR)
 	cp -f     fotoxx $(DESTDIR)$(BINDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
 	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
+	cp -f     metainfo/* $(DESTDIR)$(METAINFODIR)            ## 22.50
 	# man page
 	gzip -fk -9 man/fotoxx.man
 	mv -f man/fotoxx.man.gz $(DESTDIR)$(MANDIR)/fotoxx.1.gz
@@ -129,11 +132,12 @@
 	cp -f fotoxx.png $(DESTDIR)$(ICONDIR)
 
 uninstall:
-	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
+	rm -f     $(DESTDIR)$(BINDIR)/fotoxx
 	rm -f -R  $(DESTDIR)$(DOCDIR)
-	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.*
-	rm -f  $(DESTDIR)$(MENUDIR)/fotoxx.*
+	rm -f     $(DESTDIR)$(MANDIR)/fotoxx.*
+	rm -f     $(DESTDIR)$(MENUDIR)/fotoxx.*
 	rm -f -R  $(DESTDIR)$(SHAREDIR)
+	rm -f     $(DESTDIR)$(METAINFODIR)/kornelix*
 
 clean:
 	rm -f  fotoxx
