=== debian/changelog ===
fotoxx (22.50-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 26 Nov 2022 08:15:07 -0800
