## fotoxx 23.0

=== debian/changelog ===
fotoxx (23.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 08 Jan 2023 07:54:05 -0800
