## fotoxx 23.1

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 #  MAKEDIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 #  CXXFLAGS += -I $(MAKEDIR)
 
+CXXFLAGS += -fpermissive -Wno-write-strings  
 
 ifeq ($(CXX), clang++)     #  CLANG
    ifdef DEBUG
@@ -30,7 +31,7 @@
 
 PKG_CONFIG ?= pkg-config
 
-CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                                           \
+CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                                              \
          `$(PKG_CONFIG) --cflags gtk+-3.0 --libs champlain-gtk-0.12`
 
 LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
@@ -96,7 +97,7 @@
 	$(CXX) f.pixmap.cc $(CFLAGS) \
 
 zfuncs.o: zfuncs.cc  zfuncs.h
-	$(CXX) zfuncs.cc $(CFLAGS)                   \
+	$(CXX) zfuncs.cc $(CFLAGS) \
 
 # install application files in standard locations
 PREFIX ?= /usr
