=== debian/changelog ===
fotoxx (23.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 02 Feb 2023 13:29:20 -0800
