## fotoxx 23.2

=== Makefile ===
--- 
+++ 
@@ -21,11 +21,12 @@
    endif
 else                       #  GCC
    ifdef DEBUG
-      CXXFLAGS += -Wall -g2 -rdynamic -O0 -fsanitize=address                      \
-                           -Wno-format-truncation -Wno-stringop-truncation
+      CXXFLAGS += -Wall -g2 -rdynamic -O0 -fsanitize=address            \
+                  -Wno-format-truncation -Wno-stringop-truncation
       LDFLAGS += -fsanitize=address
    else
-      CXXFLAGS += -Wall -g2 -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation
+      CXXFLAGS += -Wall -g2 -rdynamic -O2                               \
+                  -Wno-format-truncation -Wno-stringop-truncation
    endif
 endif
 
@@ -124,7 +125,7 @@
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
 	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
-	cp -f     metainfo/* $(DESTDIR)$(METAINFODIR)            ## 22.50
+	cp -f     metainfo/* $(DESTDIR)$(METAINFODIR)
 	# man page
 	gzip -fk -9 man/fotoxx.man
 	mv -f man/fotoxx.man.gz $(DESTDIR)$(MANDIR)/fotoxx.1.gz
