=== debian/changelog ===
fotoxx (23.2-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 25 Mar 2023 19:44:37 -0700
