## fotoxx 23.32

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,12 @@
 #  fotoxx Makefile
 #
+#  Following commands choose compiler and debug options
 #  export CXX=g++          gnu compiler
 #  export CXX=clang++      clang compiler
 #  export DEBUG=x          debug build with address checking
 
-
-#  Try to fix warning from champlain-tile.h but none of this works
-#  CXXFLAGS += -D GTimeVal=GDateTime
-#  MAKEDIR:=$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
-#  CXXFLAGS += -I $(MAKEDIR)
-
-CXXFLAGS += -fpermissive -Wno-write-strings  
+CXXFLAGS += -fpermissive -Wno-write-strings 
+CXXFLAGS += -Wno-deprecated-declarations       			## champlain-tile.h broken since 2020
 
 ifeq ($(CXX), clang++)     #  CLANG
    ifdef DEBUG
