=== debian/changelog ===
fotoxx (23.32-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 08 Apr 2023 18:48:31 -0700

fotoxx (23.31-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 04 Apr 2023 18:09:28 -0700
