## fotoxx 23.50

=== Makefile ===
--- 
+++ 
@@ -96,6 +96,10 @@
 zfuncs.o: zfuncs.cc  zfuncs.h
 	$(CXX) zfuncs.cc $(CFLAGS) \
 
+ifdef DEBUG
+	@echo DEBUG BUILD
+endif
+
 # install application files in standard locations
 PREFIX ?= /usr
 BINDIR = $(PREFIX)/bin
