=== debian/changelog ===
fotoxx (23.50-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 17 May 2023 14:10:50 -0700
