## fotoxx 23.60

=== debian/changelog ===
fotoxx (23.60-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Aug 2023 07:52:32 -0700
