## fotoxx 23.70

=== debian/changelog ===
fotoxx (23.70-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 06 Oct 2023 16:43:27 -0700
