## fotoxx 23.72

=== debian/changelog ===
fotoxx (23.72-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 28 Oct 2023 05:56:07 -0700
