## fotoxx 23.74

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 CXXFLAGS += -fpermissive -Wno-write-strings 
 CXXFLAGS += -Wno-deprecated-declarations       			## champlain-tile.h broken since 2020
+CXXFLAGS += -Wno-class-memaccess                      ## new restriction Oct 2023
 
 ifeq ($(CXX), clang++)     #  CLANG
    ifdef DEBUG
