=== debian/changelog ===
fotoxx (23.74-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 03 Nov 2023 12:10:24 -0700
