## fotoxx 23.80

=== debian/changelog ===
fotoxx (23.80-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Dec 2023 10:08:40 -0800
