## fotoxx 23.81

=== Makefile ===
--- 
+++ 
@@ -9,14 +9,14 @@
 CXXFLAGS += -Wno-deprecated-declarations       			## champlain-tile.h broken since 2020
 CXXFLAGS += -Wno-class-memaccess                      ## new restriction Oct 2023
 
-ifeq ($(CXX), clang++)     #  CLANG
+ifeq ($(CXX), clang++)                                #  CLANG
    ifdef DEBUG
       CXXFLAGS += -Wall -g -O0 -fsanitize=address -Wno-stringop-truncation
       LDFLAGS += -fsanitize=address
    else
       CXXFLAGS += -Wall -g -O2
    endif
-else                       #  GCC
+else                                                  #  GCC
    ifdef DEBUG
       CXXFLAGS += -Wall -g2 -rdynamic -O0 -fsanitize=address            \
                   -Wno-format-truncation -Wno-stringop-truncation
