=== debian/changelog ===
fotoxx (23.81-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 10 Dec 2023 08:29:06 -0800
